BYTEORDER(3N)

NAME
htonl, htons, ntohl, ntohs - convert values between host and network byte order

SYNOPSIS
#include <sys/types.h>
#include <netinet/in.h>

netlong = htonl(hostlong);
u_long netlong, hostlong;

netshort = htons(hostshort);
u_short netshort, hostshort;

hostlong = ntohl(netlong);
u_long hostlong, netlong;

hostshort = ntohs(netshort);
u_short hostshort, netshort;

DESCRIPTION
These routines convert 16 and 32 bit quantities between network byte order and host byte order. Since National 32Ks, Intel *86s, DEC Vaxs, and Motorola 68Ks use a different byte order, these routines are needed to communicate between them.

These routines are most often used in conjunction with Internet addresses and ports as returned by gethostent(3N) and getservent(3N).

SEE ALSO
gethostent(3N), getservent(3N) A 4.2 BSD Interprocess Communication Primer